%% Create a matrix of all 0's
A = zeros(4, 4)
B = zeros(4) % This is shorthand for the function above
% Use zeros(4,1) to create a vector

%% Create a matrix of all 1's
C = ones(3) % Same as ones(3,3)

%% Create an identity matrix
D = eye(3)

%% Use the colon operator to define vectors
1:6 % makes [1 2 3 4 5 6]

% You can also do
1:1:6 % to get the same thing
% the syntax is "start : step : end"
1:2:7 % will create a vector with steps of 2

%% Concatentation
% In the same way that [1 2] will connect two scalars to form a vector,
% matlab lets you connect vectors and matrices to create larger vectors and
% matrices.  It will complain if the sizes don't make sense.
E = [C D]

%% Empty matrices
% Create an empty array.  This can be useful if you are going to be storing
% things to a list.
F = []

F = [F 1] % this adds 1 to the end of the list
F = [F 2] % this adds 2 to the end of the list, etc

%% Random
% Create a matrix with random values
G = rand(5,2) % this one has 5 rows, 2 columns
