R = eye(3); % define an identity rotation
d = rand(3,1); % define a random displacement

% Use the homogeneous transformation function that we defined in 
% homogeneous_transformation.m
H1 = homogeneous_transformation(R, d)

% We can also use a function handle to define mini-functions.
% This is easier for small things so you don't have a bunch of single line
% m files.
% Syntax is NAME = @(input1, input2, ...) CALCULATION;
trans = @(R,d) [R d; zeros(1,3) 1];

% This should be the same as our homogeneous transformation, but without
% the input argument checking
H2 = trans(R, d)

%